var w=Object.defineProperty;var i=(s,t)=>w(s,"name",{value:t,configurable:!0});import{PolymerElement as C,html as T}from"../hip/library/polymer/polymer.js";import{animationFrame as L}from"../hip/library/polymer/polymer.js";import{Debouncer as O}from"../hip/library/polymer/polymer.js";import{AsHIC as E,HIP as f,BehaviorElement as I}from"../core/prod.js";import F from"../pip/library/pi-f1/pi-f1.js";var n=class extends I(E(C)){static get is(){return"xi-a11y-announcer"}static get template(){return T`
      <style>:host{display:block;position:static;clip:rect(0,0,0,0);height:1px;width:1px;overflow:hidden;white-space:nowrap}</style>
      <span>[[ text ]]</span>
    `}static get properties(){return{kind:{type:String,value:"polite",observer:"__kindChanged"},text:{type:String,notify:!0},speechDelay:{type:Number,value:32}}}static get autoBinding(){return{signal:"text-changed",field:"announce"}}connectedCallback(){super.connectedCallback(),this.setAttribute("role","status"),this.setAttribute("aria-atomic","true"),this.__onHashChange__windowBound=this.__onHashChange__window.bind(this),window.addEventListener("hashchange",this.__onHashChange__windowBound,!1)}disconnectedCallback(){super.disconnectedCallback(),window.addEventListener("hashchange",this.__onHashChange__windowBound,!1)}__onHashChange__window(){this.__clearAnnouncements()}__clearAnnouncements(){this.text=""}__kindChanged(t){this.setAttribute("aria-live",t)}announce(t,e="polite"){this.kind=e,this.__announceDebouncer=O.debounce(this.__announceDebouncer,L,()=>{this.__clearAnnouncements(),setTimeout(()=>{this.text=t},this.speechDelay)})}static get instance(){return f.fn.instance(n)}};i(n,"A11yAnnouncerElement"),f.fn.announce=function(s,t="polite"){return n.instance.announce(s,F.is.string(t)?t:"polite")},f.factory.element(n);import{css as H}from"../hip/library/lit-element/lit-element.js";var x=H`
  :host {
    position: relative;
  }
  .checkbox-wrapper {
    margin: var(--a11y-size--margin);
    display: flex;
    align-items: center;
  }
  input[type='checkbox'] {
    height: var(--a11y-sz-20);
    width: var(--a11y-sz-20);
    margin: 0;
    border-color: var(--a11y-clr--black);
  }
  input[type='checkbox'] + label {
    margin-left: var(--a11y-sz-8);
  }
`,S=`
body[x-wcag='2.1__1.4.12'], body[x-wcag='2.1__1.4.12'] * {
  letter-spacing: 0.12em !important;
  word-spacing: 0.16em !important;
  line-height: 1.5 !important;
}
    `;import{LitElement as c,html as l,css as v}from"../hip/library/lit-element/lit-element.js";import{AsLitHIC as d,HIP as h}from"../core/prod.js";import N from"../pip/library/pi-dom/pi-dom.js";import b from"../pip/library/pi-f1/pi-f1.js";var p=class{static dispatchMessage(t,e,a={}){t.dispatchEvent(new CustomEvent(e,{detail:a,bubbles:!1,composed:!0}))}};i(p,"DOMServant");var g=class extends d(c){constructor(){super(...arguments),this.isContrastChecked=!1}static get is(){return"a11y-buddy-contrast"}static get properties(){return{isContrastChecked:{type:Boolean}}}static get styles(){return[x]}firstUpdated(){this.__checkLocalStorage()}__checkLocalStorage(){let t=JSON.parse(localStorage.getItem("a11y-buddy-contrast"));b.is.nil(t)||(this.isContrastChecked=t,this.__setContrast())}__checkboxOnClick(t){this.isContrastChecked=t.target.checked,this.__setContrast(),this.__setLocalStorage()}__setContrast(){document.body.style.filter=this.isContrastChecked?"contrast(100%) grayScale(100%)":"none"}__setLocalStorage(){localStorage.setItem("a11y-buddy-contrast",JSON.stringify(this.isContrastChecked))}render(){return l`
      <div class="checkbox-wrapper">
        <input
          type="checkbox"
          id="contrast"
          name="contrast"
          ?checked="${this.isContrastChecked}"
          @click="${this.__checkboxOnClick}"
        />
        <label for="contrast">Display Monochrome</label>
      </div>
    `}};i(g,"A11yBuddyContrast"),h.factory.element(g);var u=class extends d(c){static get is(){return"a11y-buddy-skip-to-main"}static get styles(){return v`
      :host {
        position: relative;
      }

      a {
        color: var(--a11y-color–-foreground);
        padding: var(--a11y-sz-4);
      }

      a:hover {
        background: var(--a11y-clr--gray-medium);
      }
    `}__skipToMainOnClick(t){t.preventDefault(),N.focusOnMain(),p.dispatchMessage(this,"triggered")}render(){return l`
      <a id="skipToMain" data-widget="control" class="nudge-right" href="#" @click="${this.__skipToMainOnClick}">
        Skip To Main
      </a>
    `}};i(u,"A11yBuddySkipToMain"),h.factory.element(u);var _=class extends d(c){constructor(){super(...arguments),this.bodyFontSize=16,this.fontSizeScale=1}static get is(){return"a11y-buddy-text-size"}static get properties(){return{fontSizeScale:{type:Number}}}static get styles(){return v`
      :host {
        position: relative;
      }
      .text-spacing-group {
        display: flex;
        align-items: center;
      }

      .text-spacing-group button {
        box-sizing: border-box;
        padding: var(--a11y-sz-4) var(--a11y-sz-8);
        margin: var(--a11y-sz-8) 0;
        border-radius: var(--a11y-sz-0);
        border-width: var(--a11y-sz-1);
        border-color: var(--a11y-clr--black);
        font-size: inherit;
        background-color: var(--a11y-clr--white);
        color: var(--a11y-clr--black);
      }

      .text-spacing-group button:hover {
        background-color: var(--a11y-clr--gray-medium);
      }

      .text-spacing-group button:first-of-type {
        margin-right: var(--a11y-sz-4);
      }

      #textSizeLabel {
        margin-right: var(--a11y-sz-8);
      }

      [mixin='show-ax'] {
        position: absolute;
        z-index: -1000;
        left: -100000px;
        top: -100000px;
        height: 1px;
        width: 1px;
        clip: rect(1px, 1px, 1px, 1px);
        clip-path: polygon(0px 0px, 0px 0px, 0px 0px);
        overflow: hidden !important;
        padding: 0;
        border: 0;
        margin: 0;
      }
    `}connectedCallback(){super.connectedCallback(),this.bodyFontSize=parseInt(getComputedStyle(document.body).fontSize,10)}firstUpdated(){this.__checkLocalStorage()}__checkLocalStorage(){let t=JSON.parse(localStorage.getItem("a11y-buddy-font-size"));b.is.nil(t)||(this.fontSizeScale=t,this.__updateFontSize())}__changeFontSize(t){return()=>{this.fontSizeScale=Math.min(Math.max(this.fontSizeScale+t,1),2),this.__updateFontSize()}}__updateFontSize(){let t=`${this.fontSizeScale*this.bodyFontSize}px`;document.documentElement.style.fontSize=t,this.__setLocalStorage()}__setLocalStorage(){localStorage.setItem("a11y-buddy-font-size",JSON.stringify(this.fontSizeScale))}render(){return l`
      <div class="text-spacing-group" role="group">
        <p id="textSizeLabel">Text Size</p>
        <button name="decrease" id="decreaseText" @click="${this.__changeFontSize(-.25)}">
          <span class="text-indicator" aria-hidden="true">▼</span>
          <span mixin="show-ax">Decrease text size by 25 percent</span>
        </button>
        <button name="increase" id="increaseText" @click="${this.__changeFontSize(.25)}">
          <span class="text-indicator" aria-hidden="true">▲</span>
          <span mixin="show-ax">Increase text size by 25 percent</span>
        </button>
        <span mixin="show-ax" aria-live="polite" aria-atomic="false"
          >Text Size is ${this.fontSizeScale*100} percent</span
        >
      </div>
    `}};i(_,"A11yBuddyTextSize"),h.factory.element(_);var y=class extends d(c){static get is(){return"a11y-buddy-text-spacing"}static get properties(){return{isTextSpacingChecked:{type:Boolean}}}static get styles(){return[x]}connectedCallback(){super.connectedCallback();let t=document.createElement("style");t.innerHTML=S,document.body.appendChild(t)}firstUpdated(){this.__checkLocalStorage()}__checkLocalStorage(){let t=JSON.parse(localStorage.getItem("a11y-buddy-text-spacing"));b.is.nil(t)||(t?this.__toggleOnInput():this.__toggleOffInput())}__toggleOnInput(){this.isTextSpacingChecked=!0,this.__enableWcag()}__toggleOffInput(){this.isTextSpacingChecked=!1,this.__removeWcag()}__toggleTextSpacing(t){this.isTextSpacingChecked=t.target.checked,this.isTextSpacingChecked?(this.__enableWcag(),this.__setLocalStorage()):(this.__removeWcag(),this.__setLocalStorage())}__removeWcag(){document.body.removeAttribute("x-wcag")}__enableWcag(){document.body.setAttribute("x-wcag","2.1__1.4.12")}__setLocalStorage(){localStorage.setItem("a11y-buddy-text-spacing",JSON.stringify(this.isTextSpacingChecked))}render(){return l`
      <div class="checkbox-wrapper">
        <input
          type="checkbox"
          id="textSpacing"
          name="textSpacing"
          ?checked="${this.isTextSpacingChecked}"
          @click="${this.__toggleTextSpacing}"
        />
        <label for="textSpacing">Easier Reading</label>
      </div>
    `}};i(y,"A11yBuddyTextSpacing"),h.factory.element(y);import{LitElement as B,html as M,css as W}from"../hip/library/lit-element/lit-element.js";import{AsLitHIC as $,HIP as P}from"../core/prod.js";import D from"../pip/library/pi-dom/pi-dom.js";var m=class extends $(B){constructor(){super(...arguments),this.opened=!1,this.displayModel="inline",this.__windowOnClickBound=this.__windowOnClick.bind(this),this.__onFocusOutBound=this.__onFocusOut.bind(this),this.__onFocusInBound=this.__onFocusIn.bind(this)}static get is(){return"xi-a11y-buddy"}static get properties(){return{opened:{type:Boolean,reflect:!0},displayModel:{type:String,reflect:!0,attribute:"display-model"}}}static get styles(){return W`
      :host {
        /**
          * Naming convention for css properties
          * --a11y-<css property name in Kebab case>
         */
        --a11y-clr–-background: #fafafa;
        --a11y-clr–-foreground: #161616;
        --a11y-clr--gray-light: #fafafa;
        --a11y-clr--gray-medium: #e0e0e0;
        --a11y-clr--gray-dark: #333d47;
        --a11y-clr--white: #ffffff;
        --a11y-clr--black: #000000;

        --a11y-sz-0: 0rem;
        --a11y-sz-1: 0.07rem;
        --a11y-sz-2: 0.125rem;
        --a11y-sz-4: 0.25rem;
        --a11y-sz-8: 0.5rem;
        --a11y-sz-12: 0.75rem;
        --a11y-sz-16: 1rem;
        --a11y-sz-20: 1.25rem;

        --a11y-font-lightest: 100;
        --a11y-font-light: 200;
        --a11y-font-heavy: 400;
        --a11y-font-family: Tahoma, Helvetica, sans-serif;

        --a11y-border: var(--a11y-sz-1) solid rgba(0, 0, 0, 0.3);
        --a11y-border-radius: var(--a11y-sz-2);
        --a11y-box-shadow: var(--a11y-sz-0) var(--a11y-sz-2) var(--a11y-sz-0) var(--a11y-sz-2) rgba(0, 0, 0, 0.04);
        --a11y-size--inner-padding: var(--a11y-sz-4);
        --a11y-size--margin: 10px 0;
        --a11y-z-index: 1000;
      }

      :host {
        display: flex;
        align-items: center;
        justify-content: start;
        flex-wrap: wrap;
        width: 100%;
        padding: var(--a11y-sz-4) var(--a11y-sz-12);
        min-height: calc(var(--a11y-sz-20) * 2);
        background-color: var(--a11y-clr–-background);
        color: var(--a11y-clr–-foreground);

        font-family: var(--a11y-font-family);
        font-size: inherit;
        font-weight: var(--a11y-font-heavy);
        line-height: 1.5;
        z-index: var(--a11y-z-index);

        position: absolute;
        top: -10000px;
        margin-top: 0;
      }

      :host(:not([opened])) {
        opacity: 0;
      }

      :host([display-model='fixed']) {
        position: fixed;
        left: 0;
        right: 0;
        z-index: var(--a11y-z-index);
      }

      :host > * {
        margin-right: var(--a11y-sz-8);
      }

      a11y-buddy-text-spacing,
      a11y-buddy-text-size {
        margin-left: calc(2 * var(--a11y-sz-8));
      }

      @media screen and (prefers-reduced-motion) {
        :host {
          transition: none;
        }
      }
    `}render(){return M`
      <a11y-buddy-skip-to-main id="skipToMain" data-widget="control" @triggered=${this.__closeAllyBuddyOnTriggered}>
      </a11y-buddy-skip-to-main>
      <a11y-buddy-text-size id="fontSpacing" data-widget="control"> </a11y-buddy-text-size>
      <a11y-buddy-text-spacing id="textSpacing" data-widget="control"> </a11y-buddy-text-spacing>
      <a11y-buddy-contrast id="contrast" data-widget="control"> </a11y-buddy-contrast>
    `}connectedCallback(){super.connectedCallback(),window.addEventListener("click",this.__windowOnClickBound),this.addEventListener("focusout",this.__onFocusOutBound),this.addEventListener("focusin",this.__onFocusInBound),this.addEventListener("keyup",this.__escKeyListener)}disconnectedCallback(){super.disconnectedCallback(),window.removeEventListener("click",this.__windowOnClickBound),this.removeEventListener("focusout",this.__onFocusOutBound),this.removeEventListener("focusin",this.__onFocusInBound)}firstUpdated(){this.__reflectOpened()}updated(t){t.has("opened")&&this.__reflectOpened()}shouldUpdate(t){return t.has("opened")}__escKeyListener(t){this.opened&&t.code==="Escape"&&(D.focusOnMain(),this.hide())}__closeAllyBuddyOnTriggered(){this.hide()}__windowOnClick(t){if(!this.opened)return;let e=t?.target,a=e&&e.localName!==this.localName,r=!this.__isEventFromWithin(t);a&&r&&this.hide()}__onFocusIn(){this.show()}__onFocusOut(t){let e=t?.relatedTarget;if(!e)return;let a=this.shadowRoot?.contains(e),r=this.__isEventFromWithin(t);(!a||!r)&&this.hide()}__isEventFromWithin(t){let e=[];return t.composed?e=t.composedPath():t.path?e=t.path:e=[],e.includes(this)}toggle(){this.opened?this.hide():this.show()}show(){this.opened=!0}hide(){this.opened=!1}__reflectOpened(){this.opened?(this.style.position=this.displayModel==="fixed"?"fixed":"static",this.style.marginTop="0",this.style.top="0"):(this.style.position="absolute",this.style.top="-10000px",this.style.marginTop="0")}};i(m,"XiA11yBuddy"),P.factory.element(m);import{PolymerElement as J}from"../hip/library/polymer/polymer.js";import{AsHIC as U,HIP as z,BehaviorElement as A}from"../core/prod.js";var o=class extends A(U(J)){static get is(){return"xi-title"}static get properties(){return{productTitle:{type:String,reflectToAttribute:!0},pageTitle:{type:String,reflectToAttribute:!0}}}static get observers(){return["__titleWatcher(pageTitle, productTitle)"]}static __titleWatcher(t,e){o.setTitle(t,e)}setTitle(t,e){o.setTitle(t,e)}static setTitle(t,e){let a=this.__siteTitle(t,e),r=this.__siteTitleAnnouncement(a),k=this.__guaranteeTitleEl();z.fn.announce(r),k&&(k.textContent=a)}static __guaranteeTitleEl(){let t=document.getElementsByTagName("title").item(0),e=document.getElementsByTagName("head").item(0);return!t&&e&&(t=document.createElement("title"),e.appendChild(t)),t}static __siteTitleAnnouncement(t){return`Viewing screen ${t}`}static __siteTitle(t,e){return[e,t].filter(a=>a).join(" | ")}};i(o,"TitleElement");var mt=z.factory.element(o);export{n as A11yAnnouncerElement,g as A11yBuddyContrast,u as A11yBuddySkipToMain,_ as A11yBuddyTextSize,y as A11yBuddyTextSpacing,p as DOMServant,S as TextSpacingStyle,o as TitleElement,m as XiA11yBuddy,x as checkBoxStyles};
