
import { HIP } from '../../../eip/element/hi-hip/hi-hif.js';
import f1 from '../../../pip/library/pi-f1/pi-f1.js';
const entity = "message";
HIP.visitor.add({
  entity,
  render_type: "prompt",
  message_endpoint: "prompt",
  messageSink: () => "hip_fn",
  build(messageDeclaration) {
    const proxyEl = document.createElement("ai-proxy");
    proxyEl.mergeOnto = f1.read("/$configure/$is", {}, messageDeclaration);
    return proxyEl;
  }
});
HIP.visitor.add({
  entity,
  render_type: "notification",
  message_endpoint: "notify",
  messageSink: () => "hip_fn",
  build(messageDeclaration) {
    const proxyEl = document.createElement("ai-proxy");
    proxyEl.mergeOnto = f1.read("/$configure/$is", {}, messageDeclaration);
    return proxyEl;
  }
});
