
import { HIP } from '../../../eip/element/hi-hip/hi-hif.js';
import dom from '../../../pip/library/pi-dom/pi-dom.js';
const entity = "widget";
HIP.visitor.add({
  entity,
  render_type: "datepicker",
  build: (widgetDeclaration) => {
    const datepickerEl = document.createElement("hi-datepicker");
    const flyoutEl = document.createElement("hi-flyout");
    const iconEl = document.createElement("hi-icon");
    dom.setAttrs(flyoutEl, {
      aesthetic: "chrome",
      kind: "value"
    });
    dom.setAttrs(iconEl, {
      theme: widgetDeclaration.theme || "primary",
      kind: "calendar",
      slot: "anchor"
    });
    dom.setAttrs(datepickerEl, {
      name: widgetDeclaration.title
    });
    flyoutEl.appendChild(datepickerEl);
    flyoutEl.appendChild(iconEl);
    return flyoutEl;
  }
});
