import { PolymerElement, html } from '../../../hip/library/polymer/polymer.js';
import '../../../aip/element/ai-behavior-prefab/ai-behavior-prefab.js';
import '../../../eip/element/hi-component/hi-component.js';

/**
 * @customElement
 * @polymer
 * @appliesMixin BehaviorPrefab
 * @appliesMixin BehaviorElement
 */
class PrefabrecordexplorerElement extends HIP.BehaviorPrefab(HIP.BehaviorElement(PolymerElement)) {
  static get is() {
    return 'ai-prefab-record-explorer';
  }

  static get template() {
    return html`
      <ai-screen gid="_screen" l-kind="hort">
        <ai-state gid="_state_main" states="main" l-kind="vert" class="plm prm"> </ai-state>
      </ai-screen>
    `;
  }

  get defaultScript() {
    return {};
  }
}

HIP.factory.element(PrefabrecordexplorerElement);
