
import { css } from '../../../hip/library/lit-element/lit-element.js';
export const styles = css`
  :host([dock]) {
    position: absolute;
  }

  :host([dock='top-right']) {
    right: 0;
    top: 0;
  }

  :host([dock='top-left']) {
    left: 0;
    top: 0;
  }

  :host([dock='bottom-right']) {
    right: 0;
    bottom: 0;
  }

  :host([dock='bottom-left']) {
    left: 0;
    bottom: 0;
  }
`;
const template = document.createElement("template");
template.innerHTML = `<dom-module id="hi-behavior-dock">
  <template>
    <style>
      ${styles.cssText}
    </style>
  </template>
</dom-module>`;
document.head.appendChild(template.content);
