
import { dedupingMixin } from '../../../hip/library/polymer/polymer.js';
export * from './hi-behavior-flow-style.js';
import './hi-behavior-flow-style.js';
import { HIP } from '../../../eip/element/hi-component/hi-component.js';
import { BehaviorBehavior } from '../../../eip/element/hi-behavior-behavior/hi-behavior-behavior.js';
export function BaseBehaviorFlow(Base) {
  class BehaviorFlow2 extends BehaviorBehavior(Base) {
    constructor() {
      super(...arguments);
      this.flow = "left-right";
    }
    static get properties() {
      return {
        flow: {
          type: String,
          reflectToAttribute: true,
          reflect: true
        },
        wrap: {
          type: Boolean,
          reflectToAttribute: true,
          reflect: true
        }
      };
    }
    connectedCallback() {
      super.connectedCallback();
      this.setAttribute("role", "group");
      this._registerBehavior("BehaviorFlow");
    }
  }
  return HIP.factory.mixin(BehaviorFlow2);
}
export const BehaviorFlow = dedupingMixin(BaseBehaviorFlow);
HIP["BehaviorFlow"] = BehaviorFlow;
