
import { stylesTheme } from '../../../eip/element/hi-component/hi-component-theme.js';
import { styles as stylesDock } from '../../../eip/element/hi-behavior-dock/hi-behavior-dock.js';
import { LitElement, css, html } from '../../../hip/library/lit-element/lit-element.js';
import { AsLitHIC, BehaviorElement, HIP } from '../../../eip/element/hi-component/hi-component.js';
export const styles = css`
  :host {
    display: block;
  }
`;
export class CornerElement extends BehaviorElement(AsLitHIC(LitElement)) {
  static get is() {
    return "hi-corner";
  }
  static get styles() {
    return [stylesTheme, stylesDock, styles];
  }
  render() {
    return html`<slot></slot>`;
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("role", "group");
  }
}
export default HIP.factory.element(CornerElement);
