
import '../../../hip/library/polymer/polymer.js';
export class ADTList {
  remove(list, o) {
    this.exists(list, o, (index) => {
      if (index >= 0) {
        list.splice(index, 1);
      }
    });
  }
  insert(list, o) {
    if (list) {
      list.push(o);
    }
  }
  home(list, o, callback) {
    return this.exists(list, o, (index, list2) => {
      return callback(list2[0]);
    });
  }
  end(list, o, callback) {
    return this.exists(list, o, (index, list2) => {
      return callback(list2[list2.length - 1]);
    });
  }
  next(list, o, callback) {
    return this.exists(list, o, (index, list2) => {
      return callback(list2[(index + 1) % list2.length]);
    });
  }
  previous(list, o, callback) {
    return this.exists(list, o, (index, list2) => {
      index = index - 1;
      if (index < 0) {
        index = list2.length - 1;
      }
      return callback(list2[index]);
    });
  }
  exists(list, o, ifExists) {
    const index = this.index(list, o);
    if (index >= 0) {
      return ifExists(index, list, o);
    } else {
      return o;
    }
  }
  index(list, o) {
    return list ? list.indexOf(o) : -1;
  }
}
