
import '../../../hip/library/polymer/polymer.js';
import f1 from '../../../pip/library/pi-f1/pi-f1.js';
const _ServiceNamespace = class {
  getDatabase(db, namespace) {
    const ns = `${namespace || _ServiceNamespace["defaultNS"]}`.trim();
    if (!db.has(ns)) {
      db.set(ns,  new Map());
    }
    return db.get(ns) ||  new Map();
  }
  getNamespace(el, ns) {
    if (f1.is.string(ns)) {
      return ns;
    }
    const elNS = el;
    return elNS.getAttribute ? elNS.getAttribute("ns") || "" : elNS.ns ? elNS.ns : "";
  }
};
export let ServiceNamespace = _ServiceNamespace;
ServiceNamespace.defaultNS = "default";
