
import { ColorElement } from '../../../eip/element/hi-color/hi-color.js';
import { IconElement } from '../../../eip/element/hi-icon/hi-icon.js';
import $ip from '../../../pip/library/pi-ip/pi-ip.js';
import f1 from '../../../pip/library/pi-f1/pi-f1.js';
$ip.di.register("generator", "color", {
  id: "factory-generator-color",
  create: f1.once(() => {
    return f1.map((color) => ({ value: color, title: f1.word(color) }), ColorElement.colors);
  })
});
$ip.di.register("generator", "icon", {
  id: "factory-generator-icon",
  create: f1.once(() => {
    return f1.map(
      (icon) => ({ value: icon, title: f1.word(icon) }),
      f1.unique([...f1.keys(IconElement.iconsStandard), ...f1.keys(IconElement.iconsExtended), ...IconElement.iconsSVG])
    );
  })
});
