var __defProp = Object.defineProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });

// bin/hip/library/@lit/reactive-element/css-tag.js
var t = window, e = t.ShadowRoot && (void 0 === t.ShadyCSS || t.ShadyCSS.nativeShadow) && "adoptedStyleSheets" in Document.prototype && "replace" in CSSStyleSheet.prototype, s = Symbol(), n = /* @__PURE__ */ new WeakMap();
var o = class {
  constructor(t2, e4, n4) {
    if (this._$cssResult$ = true, n4 !== s)
      throw Error("CSSResult is not constructable. Use `unsafeCSS` or `css` instead.");
    this.cssText = t2, this.t = e4;
  }
  get styleSheet() {
    let t2 = this.o;
    const s4 = this.t;
    if (e && void 0 === t2) {
      const e4 = void 0 !== s4 && 1 === s4.length;
      e4 && (t2 = n.get(s4)), void 0 === t2 && ((this.o = t2 = new CSSStyleSheet()).replaceSync(this.cssText), e4 && n.set(s4, t2));
    }
    return t2;
  }
  toString() {
    return this.cssText;
  }
};
__name(o, "o");
var r = /* @__PURE__ */ __name((t2) => new o("string" == typeof t2 ? t2 : t2 + "", void 0, s), "r"), i = /* @__PURE__ */ __name((t2, ...e4) => {
  const n4 = 1 === t2.length ? t2[0] : e4.reduce((e5, s4, n5) => e5 + ((t3) => {
    if (true === t3._$cssResult$)
      return t3.cssText;
    if ("number" == typeof t3)
      return t3;
    throw Error("Value passed to 'css' function must be a 'css' function result: " + t3 + ". Use 'unsafeCSS' to pass non-literal values, but take care to ensure page security.");
  })(s4) + t2[n5 + 1], t2[0]);
  return new o(n4, t2, s);
}, "i"), S = /* @__PURE__ */ __name((s4, n4) => {
  e ? s4.adoptedStyleSheets = n4.map((t2) => t2 instanceof CSSStyleSheet ? t2 : t2.styleSheet) : n4.forEach((e4) => {
    const n5 = document.createElement("style"), o4 = t.litNonce;
    void 0 !== o4 && n5.setAttribute("nonce", o4), n5.textContent = e4.cssText, s4.appendChild(n5);
  });
}, "S"), c = e ? (t2) => t2 : (t2) => t2 instanceof CSSStyleSheet ? ((t3) => {
  let e4 = "";
  for (const s4 of t3.cssRules)
    e4 += s4.cssText;
  return r(e4);
})(t2) : t2;

// bin/hip/library/@lit/reactive-element/reactive-element.js
var s2;
var e2 = window, r2 = e2.trustedTypes, h = r2 ? r2.emptyScript : "", o2 = e2.reactiveElementPolyfillSupport, n2 = { toAttribute(t2, i3) {
  switch (i3) {
    case Boolean:
      t2 = t2 ? h : null;
      break;
    case Object:
    case Array:
      t2 = null == t2 ? t2 : JSON.stringify(t2);
  }
  return t2;
}, fromAttribute(t2, i3) {
  let s4 = t2;
  switch (i3) {
    case Boolean:
      s4 = null !== t2;
      break;
    case Number:
      s4 = null === t2 ? null : Number(t2);
      break;
    case Object:
    case Array:
      try {
        s4 = JSON.parse(t2);
      } catch (t3) {
        s4 = null;
      }
  }
  return s4;
} }, a = /* @__PURE__ */ __name((t2, i3) => i3 !== t2 && (i3 == i3 || t2 == t2), "a"), l = { attribute: true, type: String, converter: n2, reflect: false, hasChanged: a };
var d = class extends HTMLElement {
  constructor() {
    super(), this._$Ei = /* @__PURE__ */ new Map(), this.isUpdatePending = false, this.hasUpdated = false, this._$El = null, this.u();
  }
  static addInitializer(t2) {
    var i3;
    this.finalize(), (null !== (i3 = this.h) && void 0 !== i3 ? i3 : this.h = []).push(t2);
  }
  static get observedAttributes() {
    this.finalize();
    const t2 = [];
    return this.elementProperties.forEach((i3, s4) => {
      const e4 = this._$Ep(s4, i3);
      void 0 !== e4 && (this._$Ev.set(e4, s4), t2.push(e4));
    }), t2;
  }
  static createProperty(t2, i3 = l) {
    if (i3.state && (i3.attribute = false), this.finalize(), this.elementProperties.set(t2, i3), !i3.noAccessor && !this.prototype.hasOwnProperty(t2)) {
      const s4 = "symbol" == typeof t2 ? Symbol() : "__" + t2, e4 = this.getPropertyDescriptor(t2, s4, i3);
      void 0 !== e4 && Object.defineProperty(this.prototype, t2, e4);
    }
  }
  static getPropertyDescriptor(t2, i3, s4) {
    return { get() {
      return this[i3];
    }, set(e4) {
      const r4 = this[t2];
      this[i3] = e4, this.requestUpdate(t2, r4, s4);
    }, configurable: true, enumerable: true };
  }
  static getPropertyOptions(t2) {
    return this.elementProperties.get(t2) || l;
  }
  static finalize() {
    if (this.hasOwnProperty("finalized"))
      return false;
    this.finalized = true;
    const t2 = Object.getPrototypeOf(this);
    if (t2.finalize(), void 0 !== t2.h && (this.h = [...t2.h]), this.elementProperties = new Map(t2.elementProperties), this._$Ev = /* @__PURE__ */ new Map(), this.hasOwnProperty("properties")) {
      const t3 = this.properties, i3 = [...Object.getOwnPropertyNames(t3), ...Object.getOwnPropertySymbols(t3)];
      for (const s4 of i3)
        this.createProperty(s4, t3[s4]);
    }
    return this.elementStyles = this.finalizeStyles(this.styles), true;
  }
  static finalizeStyles(i3) {
    const s4 = [];
    if (Array.isArray(i3)) {
      const e4 = new Set(i3.flat(1 / 0).reverse());
      for (const i4 of e4)
        s4.unshift(c(i4));
    } else
      void 0 !== i3 && s4.push(c(i3));
    return s4;
  }
  static _$Ep(t2, i3) {
    const s4 = i3.attribute;
    return false === s4 ? void 0 : "string" == typeof s4 ? s4 : "string" == typeof t2 ? t2.toLowerCase() : void 0;
  }
  u() {
    var t2;
    this._$E_ = new Promise((t3) => this.enableUpdating = t3), this._$AL = /* @__PURE__ */ new Map(), this._$Eg(), this.requestUpdate(), null === (t2 = this.constructor.h) || void 0 === t2 || t2.forEach((t3) => t3(this));
  }
  addController(t2) {
    var i3, s4;
    (null !== (i3 = this._$ES) && void 0 !== i3 ? i3 : this._$ES = []).push(t2), void 0 !== this.renderRoot && this.isConnected && (null === (s4 = t2.hostConnected) || void 0 === s4 || s4.call(t2));
  }
  removeController(t2) {
    var i3;
    null === (i3 = this._$ES) || void 0 === i3 || i3.splice(this._$ES.indexOf(t2) >>> 0, 1);
  }
  _$Eg() {
    this.constructor.elementProperties.forEach((t2, i3) => {
      this.hasOwnProperty(i3) && (this._$Ei.set(i3, this[i3]), delete this[i3]);
    });
  }
  createRenderRoot() {
    var t2;
    const s4 = null !== (t2 = this.shadowRoot) && void 0 !== t2 ? t2 : this.attachShadow(this.constructor.shadowRootOptions);
    return S(s4, this.constructor.elementStyles), s4;
  }
  connectedCallback() {
    var t2;
    void 0 === this.renderRoot && (this.renderRoot = this.createRenderRoot()), this.enableUpdating(true), null === (t2 = this._$ES) || void 0 === t2 || t2.forEach((t3) => {
      var i3;
      return null === (i3 = t3.hostConnected) || void 0 === i3 ? void 0 : i3.call(t3);
    });
  }
  enableUpdating(t2) {
  }
  disconnectedCallback() {
    var t2;
    null === (t2 = this._$ES) || void 0 === t2 || t2.forEach((t3) => {
      var i3;
      return null === (i3 = t3.hostDisconnected) || void 0 === i3 ? void 0 : i3.call(t3);
    });
  }
  attributeChangedCallback(t2, i3, s4) {
    this._$AK(t2, s4);
  }
  _$EO(t2, i3, s4 = l) {
    var e4;
    const r4 = this.constructor._$Ep(t2, s4);
    if (void 0 !== r4 && true === s4.reflect) {
      const h3 = (void 0 !== (null === (e4 = s4.converter) || void 0 === e4 ? void 0 : e4.toAttribute) ? s4.converter : n2).toAttribute(i3, s4.type);
      this._$El = t2, null == h3 ? this.removeAttribute(r4) : this.setAttribute(r4, h3), this._$El = null;
    }
  }
  _$AK(t2, i3) {
    var s4;
    const e4 = this.constructor, r4 = e4._$Ev.get(t2);
    if (void 0 !== r4 && this._$El !== r4) {
      const t3 = e4.getPropertyOptions(r4), h3 = "function" == typeof t3.converter ? { fromAttribute: t3.converter } : void 0 !== (null === (s4 = t3.converter) || void 0 === s4 ? void 0 : s4.fromAttribute) ? t3.converter : n2;
      this._$El = r4, this[r4] = h3.fromAttribute(i3, t3.type), this._$El = null;
    }
  }
  requestUpdate(t2, i3, s4) {
    let e4 = true;
    void 0 !== t2 && (((s4 = s4 || this.constructor.getPropertyOptions(t2)).hasChanged || a)(this[t2], i3) ? (this._$AL.has(t2) || this._$AL.set(t2, i3), true === s4.reflect && this._$El !== t2 && (void 0 === this._$EC && (this._$EC = /* @__PURE__ */ new Map()), this._$EC.set(t2, s4))) : e4 = false), !this.isUpdatePending && e4 && (this._$E_ = this._$Ej());
  }
  async _$Ej() {
    this.isUpdatePending = true;
    try {
      await this._$E_;
    } catch (t3) {
      Promise.reject(t3);
    }
    const t2 = this.scheduleUpdate();
    return null != t2 && await t2, !this.isUpdatePending;
  }
  scheduleUpdate() {
    return this.performUpdate();
  }
  performUpdate() {
    var t2;
    if (!this.isUpdatePending)
      return;
    this.hasUpdated, this._$Ei && (this._$Ei.forEach((t3, i4) => this[i4] = t3), this._$Ei = void 0);
    let i3 = false;
    const s4 = this._$AL;
    try {
      i3 = this.shouldUpdate(s4), i3 ? (this.willUpdate(s4), null === (t2 = this._$ES) || void 0 === t2 || t2.forEach((t3) => {
        var i4;
        return null === (i4 = t3.hostUpdate) || void 0 === i4 ? void 0 : i4.call(t3);
      }), this.update(s4)) : this._$Ek();
    } catch (t3) {
      throw i3 = false, this._$Ek(), t3;
    }
    i3 && this._$AE(s4);
  }
  willUpdate(t2) {
  }
  _$AE(t2) {
    var i3;
    null === (i3 = this._$ES) || void 0 === i3 || i3.forEach((t3) => {
      var i4;
      return null === (i4 = t3.hostUpdated) || void 0 === i4 ? void 0 : i4.call(t3);
    }), this.hasUpdated || (this.hasUpdated = true, this.firstUpdated(t2)), this.updated(t2);
  }
  _$Ek() {
    this._$AL = /* @__PURE__ */ new Map(), this.isUpdatePending = false;
  }
  get updateComplete() {
    return this.getUpdateComplete();
  }
  getUpdateComplete() {
    return this._$E_;
  }
  shouldUpdate(t2) {
    return true;
  }
  update(t2) {
    void 0 !== this._$EC && (this._$EC.forEach((t3, i3) => this._$EO(i3, this[i3], t3)), this._$EC = void 0), this._$Ek();
  }
  updated(t2) {
  }
  firstUpdated(t2) {
  }
};
__name(d, "d");
d.finalized = true, d.elementProperties = /* @__PURE__ */ new Map(), d.elementStyles = [], d.shadowRootOptions = { mode: "open" }, null == o2 || o2({ ReactiveElement: d }), (null !== (s2 = e2.reactiveElementVersions) && void 0 !== s2 ? s2 : e2.reactiveElementVersions = []).push("1.6.1");

// bin/hip/library/lit-element/lit-element.js
import { render as e3, noChange as i2 } from "../lit-html/lit-html.js";
export * from "../lit-html/lit-html.js";
var l2, o3;
var r3 = d;
var s3 = class extends d {
  constructor() {
    super(...arguments), this.renderOptions = { host: this }, this._$Do = void 0;
  }
  createRenderRoot() {
    var t2, e4;
    const i3 = super.createRenderRoot();
    return null !== (t2 = (e4 = this.renderOptions).renderBefore) && void 0 !== t2 || (e4.renderBefore = i3.firstChild), i3;
  }
  update(t2) {
    const i3 = this.render();
    this.hasUpdated || (this.renderOptions.isConnected = this.isConnected), super.update(t2), this._$Do = e3(i3, this.renderRoot, this.renderOptions);
  }
  connectedCallback() {
    var t2;
    super.connectedCallback(), null === (t2 = this._$Do) || void 0 === t2 || t2.setConnected(true);
  }
  disconnectedCallback() {
    var t2;
    super.disconnectedCallback(), null === (t2 = this._$Do) || void 0 === t2 || t2.setConnected(false);
  }
  render() {
    return i2;
  }
};
__name(s3, "s");
s3.finalized = true, s3._$litElement$ = true, null === (l2 = globalThis.litElementHydrateSupport) || void 0 === l2 || l2.call(globalThis, { LitElement: s3 });
var n3 = globalThis.litElementPolyfillSupport;
null == n3 || n3({ LitElement: s3 });
var h2 = { _$AK: (t2, e4, i3) => {
  t2._$AK(e4, i3);
}, _$AL: (t2) => t2._$AL };
(null !== (o3 = globalThis.litElementVersions) && void 0 !== o3 ? o3 : globalThis.litElementVersions = []).push("3.3.2");
export {
  o as CSSResult,
  s3 as LitElement,
  d as ReactiveElement,
  r3 as UpdatingElement,
  h2 as _$LE,
  S as adoptStyles,
  i as css,
  n2 as defaultConverter,
  c as getCompatibleStyle,
  a as notEqual,
  e as supportsAdoptingStyleSheets,
  r as unsafeCSS
};
