const {
  html,
  nothing,
  directives: { unsafeHTML, repeat }
} = HIP.extern.lit;

export const type = 'template';
export const id = 'self_alerts_details';
export const template = (builderEl) => {
  const isMobile = document.getElementsByTagName('html')[0].classList.contains('view-mobile');

  return () => (o) => {
    return html`
        <section class="prm pbm" l-kind="vert">
          <p class="text-sz-l mtm mbsx">
            <span class="text-normal">Submitted: </span>
            <p class="clr-gray_90-txt">Submitted: ${moment(new Date(o.created_at).getTime()).format(
              'MMMM Do YYYY, h:mm:ss a'
            )}</p>
          </p>
          <p class="text-sz-l mtm mbsx">
            <span class="text-normal">Is this associated with a specific class? </span>
            <span>${o.courses ?? 'N/A'}</span>
          </p>
          <p class="text-sz-l mtm mbsx">
            <span class="text-normal">Additional comments:  </span>
            <span>${o.comments ?? 'N/A'}</span>
          </p>
        </section>
      `;
  };
};
