HIL.dsl.plugin.register({
  id: 'communication_settings',
  pointCut: {
    prePostCompile: (script) => {
      script.user_space = {
        ...(script.user_space || {}),
        communication_settings: (o) => {
          console.log(o);
          const def = script.type.record_type;

          if (o.communication_settings) {
            const settings = o.communication_settings;
            const email = def.properties.email_reminder;
            const sms = def.properties.sms_reminder;
            email.initial_value = settings.student_email_reminder_default;
            sms.initial_value = settings.student_sms_reminder_default;
            sms.readonly = !settings.student_sms_reminder_editable;
          }
          return o;
        }
      };

      return script;
    }
  }
});
