/**
 * allow configuration of fields to be `null` if they are not set (value is cleared)
 */
HIL.dsl.plugin.register({
  id: 'serialize_params',
  pointCut: {
    prePostCompile: (script) => {
      script.user_space = {
        ...(script.user_space || {}),
        serialize_params: function (o) {
          if (window.safe) {
            return window.safe.serializeParameters(o);
          }
          return o;
        }
      };
      return script;
    }
  }
});
