
import { dedupingMixin } from '../../../hip/library/polymer/polymer.js';
import { HIP } from '../../../eip/element/hi-hip/hi-hif.js';
import f1 from '../../../pip/library/pi-f1/pi-f1.js';
export function BaseBehaviorBehavior(Base) {
  class BehaviorBehavior2 extends Base {
    _registerBehavior(_Behavior) {
      const name = f1.is.string(_Behavior) ? _Behavior : _Behavior.name;
      this.constructor.behaviors = this.constructor.behaviors || {};
      this.constructor.behaviors[name] = true;
    }
  }
  return HIP.factory.mixin(BehaviorBehavior2);
}
export const BehaviorBehavior = dedupingMixin(BaseBehaviorBehavior);
HIP["BehaviorBehavior"] = BehaviorBehavior;
