
import { css } from '../../../hip/library/lit-element/lit-element.js';
export const styles = css`
  :host([dock]) {
    position: absolute;
  }

  :host([dock='top-right']) {
    right: 0;
    top: 0;
  }

  :host([dock='top-left']) {
    left: 0;
    top: 0;
  }

  :host([dock='bottom-right']) {
    right: 0;
    bottom: 0;
  }

  :host([dock='bottom-left']) {
    left: 0;
    bottom: 0;
  }

  :host([dock='top-right']:not([inside-edge])) {
    transform: translate(50%, -50%);
  }

  :host([dock='top-left']:not([inside-edge])) {
    transform: translate(-50%, -50%);
  }

  :host([dock='bottom-right']:not([inside-edge])) {
    transform: translate(50%, 50%);
  }

  :host([dock='bottom-left']:not([inside-edge])) {
    transform: translate(-50%, 50%);
  }
`;
const template = document.createElement("template");
template.innerHTML = `<dom-module id="hi-behavior-dock">
  <template>
    <style>
      ${styles.cssText}
    </style>
  </template>
</dom-module>`;
if (!document.head.querySelector("#hi-behavior-dock")) {
  document.head.appendChild(template.content);
}
