
import f1 from '../../../pip/library/pi-f1/pi-f1.js';
import $ip from '../../../pip/library/pi-ip/pi-ip.js';
import { HIP } from '../../../eip/element/hi-component/hi-component.js';
const entity = "format";
f1.each((render_type) => {
  HIP.visitor.add({
    render_type,
    entity,
    build: (value, formatterRule) => f1.format(render_type, formatterRule, value)
  });
}, $ip.di.list("format_parse"));
