
import { dedupingMixin } from '../../../hip/library/polymer/polymer.js';
import { HIP } from '../../../eip/element/hi-component/hi-component.js';
import { BehaviorBehavior } from '../../../eip/element/hi-behavior-behavior/hi-behavior-behavior.js';
import { BehaviorSetGroup } from './hi-behavior-set-group.js';
import f1 from '../../../pip/library/pi-f1/pi-f1.js';
export function BaseBehaviorCheckedSetGroup(Base) {
  class BehaviorCheckedSetGroup2 extends BehaviorSetGroup(BehaviorBehavior(Base)) {
    connectedCallback() {
      super.connectedCallback();
      this._registerBehavior("BehaviorCheckedSetGroup");
    }
    focus() {
      const group = this._group__groupSet();
      const selectedEl = group.find((radio) => radio.checked);
      if (selectedEl) {
        return selectedEl.focus();
      }
      const firstEl = f1.nth(0, group);
      if (firstEl) {
        firstEl.focus();
      }
    }
  }
  return HIP.factory.mixin(BehaviorCheckedSetGroup2);
}
export const BehaviorCheckedSetGroup = dedupingMixin(BaseBehaviorCheckedSetGroup);
HIP["BehaviorCheckedSetGroup"] = BehaviorCheckedSetGroup;
