
import { dedupingMixin } from '../../../hip/library/polymer/polymer.js';
import { BehaviorBehavior } from '../../../eip/element/hi-behavior-behavior/hi-behavior-behavior.js';
import { HIP } from '../../../eip/element/hi-component/hi-component.js';
export function BaseBehaviorInputContainer(Base) {
  class BehaviorInputContainer2 extends BehaviorBehavior(Base) {
    static get properties() {
      return {
        form: String,
        novalidate: {
          type: Boolean,
          reflectToAttribute: true
        }
      };
    }
    connectedCallback() {
      super.connectedCallback();
      this._registerBehavior("BehaviorInputContainer");
    }
  }
  return HIP.factory.mixin(BehaviorInputContainer2);
}
export const BehaviorInputContainer = dedupingMixin(BaseBehaviorInputContainer);
HIP["BehaviorInputContainer"] = BehaviorInputContainer;
