
import { css } from '../../../hip/library/lit-element/lit-element.js';
export const stylesTile = css`
  :host {
    border-radius: var(--hi-tile--border-radius);
    background-color: var(--hi-clr--white);
    box-shadow: var(--hi-tile--shadow);
    padding: var(--hi-tile--padding);
    border: var(--hi-tile--border);
    min-height: var(--hi-px-24);
    color: var(--hi-clr--text);
    cursor: auto;
  }

  #header {
    align-items: center;
    border-top-left-radius: var(--hi-tile--border-radius);
    border-top-right-radius: var(--hi-tile--border-radius);
    height: var(--hi-el--height-lrg);
    border-bottom: var(--hi-tile--border);
    margin: calc(-1 * var(--hi-tile--padding));
    margin-bottom: var(--hi-tile--padding);
    padding: 0 var(--hi-tile--padding);
    background-color: var(--hi-clr--gray-1);
  }
`;
