
import '../../../hip/library/polymer/polymer.js';
import f1 from '../../../pip/library/pi-f1/pi-f1.js';
const kebabToPascal = f1.form("kebab", "pascal");
export class HIServiceFactory {
  mixin(_Mixin) {
    return window.HIP.aop.makeReactive(_Mixin);
  }
  element(_Element) {
    const _HIP = window.HIP;
    const _name = kebabToPascal(_Element.is);
    _Element["behaviors"] = _Element["behaviors"] || {};
    _Element = _HIP.aop.valueNotifier(_Element);
    _Element = _HIP.aop.makeReactive(_Element);
    if (!_HIP.__elements[_name]) {
      window.customElements.define(_Element.is, _Element);
      _HIP.__elements[_name] = _Element;
    }
    return _Element;
  }
  queryOne(elementName) {
    return window.HIP.__elements[kebabToPascal(elementName)];
  }
}
