
import '../../../hip/library/polymer/polymer.js';
export class IsType {
  array(o) {
    return Array.isArray(o);
  }
  object(o) {
    return typeof o === "object";
  }
  plainObject(o) {
    return this.truthy(o) && !this.array(o) && !this.function(o) && this.object(o);
  }
  boolean(o) {
    return typeof o === "boolean";
  }
  string(o) {
    return typeof o === "string" || o instanceof String;
  }
  undefined(o) {
    return o === void 0;
  }
  null(o) {
    return o === null;
  }
  number(o) {
    return typeof o === "number" && !this.nan(o);
  }
  nan(o) {
    return o !== o;
  }
  function(o) {
    return typeof o === "function";
  }
  empty(o) {
    if (this.object(o)) {
      return Object.getOwnPropertyNames(o).length === 0;
    } else {
      return o === "";
    }
  }
  domNode(o) {
    return this.object(o) && o.nodeType > 0;
  }
  date(o) {
    return o instanceof Date;
  }
  existy(o) {
    return o != null;
  }
  truthy(o) {
    return !!o;
  }
  falsy(o) {
    return !o;
  }
  error(o) {
    return o instanceof Error && typeof o.message !== "undefined";
  }
  symbol(o) {
    return typeof o === "symbol";
  }
}
