
import dom from '../../../pip/library/pi-dom/pi-dom.js';
export class NavigationService {
  toggleMicroNavigationStyling(el, navigationComponent, on) {
    const microEl__blueprint = document.querySelector('[x-hosting="screen"]');
    const microEl__shell = document.querySelector('[x-shell="container"]');
    const microEl = microEl__blueprint || microEl__shell;
    if (microEl) {
      dom.setAttr(microEl, `include-navigation-${navigationComponent}`, on);
    }
  }
}
const navigationService = new NavigationService();
export default navigationService;
