
import { LitElement, html } from '../../../hip/library/lit-element/lit-element.js';
import { AsLitHIC, BehaviorElement, HIP } from '../../../eip/element/hi-component/hi-component.js';
import { BehaviorFlow } from '../../../eip/element/hi-behavior-flow/hi-behavior-flow.js';
import { stylesTheme } from '../../../eip/element/hi-component/hi-component-theme.js';
import { styles as flowTheme } from '../../../eip/element/hi-behavior-flow/hi-behavior-flow-style.js';
export class PanelElement extends BehaviorFlow(BehaviorElement(AsLitHIC(LitElement))) {
  static get is() {
    return "hi-panel";
  }
  static get styles() {
    return [stylesTheme, flowTheme];
  }
  render() {
    return html`<slot></slot>`;
  }
}
export default HIP.factory.element(PanelElement);
