
import { PolymerElement } from '../../../hip/library/polymer/polymer.js';
import { HIP, AsHIC, BehaviorElement } from '../../../eip/element/hi-hip/hi-hif.js';
export class TaskElement extends BehaviorElement(AsHIC(PolymerElement)) {
  static get is() {
    return "hi-task";
  }
  static get api() {
    return ["invoke"];
  }
  static get autoBinding() {
    return {
      signal: "invoke-ended",
      field: "invoke"
    };
  }
  connectedCallback() {
    super.connectedCallback();
    this.setAttribute("hidden", "hidden");
  }
  invoke(passThru) {
    return passThru;
  }
}
HIP.factory.element(TaskElement);
