import { decorateProperty } from './base.js';

function eventOptions(options) {
    return decorateProperty({
        finisher: (ctor, name) => {
            Object.assign(
            ctor.prototype[name], options);
        },
    });
}

export { eventOptions };

//# sourceMappingURL=event-options.js.map
