import { decorateProperty } from './base.js';

function queryAll(selector) {
    return decorateProperty({
        descriptor: (_name) => ({
            get() {
                var _a, _b;
                return (_b = (_a = this.renderRoot) === null || _a === void 0 ? void 0 : _a.querySelectorAll(selector)) !== null && _b !== void 0 ? _b : [];
            },
            enumerable: true,
            configurable: true,
        }),
    });
}

export { queryAll };

//# sourceMappingURL=query-all.js.map
