import { decorateProperty } from './base.js';

function queryAsync(selector) {
    return decorateProperty({
        descriptor: (_name) => ({
            async get() {
                var _a;
                await this.updateComplete;
                return (_a = this.renderRoot) === null || _a === void 0 ? void 0 : _a.querySelector(selector);
            },
            enumerable: true,
            configurable: true,
        }),
    });
}

export { queryAsync };

//# sourceMappingURL=query-async.js.map
