import { Class } from './class.js';

import '../utils/boot.js';

const Polymer = function(info) {
  let klass;
  if (typeof info === 'function') {
    klass = info;
  } else {
    klass = Polymer.Class(info);
  }
  if (info._legacyForceObservedAttributes) {
    klass.prototype._legacyForceObservedAttributes = info._legacyForceObservedAttributes;
  }
  customElements.define(klass.is, (klass));
  return klass;
};

Polymer.Class = Class;

export { Polymer };
//# sourceMappingURL=polymer-fn.js.map
