

import {legacyOptimizations, useShadow} from './settings.js';

let elementsHidden = false;

export function hideElementsGlobally() {
  if (legacyOptimizations && !useShadow) {
    if (!elementsHidden) {
      elementsHidden = true;
      const style = document.createElement('style');
      style.textContent = 'dom-bind,dom-if,dom-repeat{display:none;}';
      document.head.appendChild(style);
    }
    return true;
  }
  return false;
}
//# sourceMappingURL=hide-template-controls.js.map
