var P=Object.defineProperty;var u=(n,t)=>P(n,"name",{value:t,configurable:!0});import{html as k,LitElement as K}from"../hip/library/lit-element/lit-element.js";import{ref as G,createRef as W}from"../hip/library/lit-html/directives/ref.js";import{nothing as B}from"../hip/library/lit-html/lit-html.js";import{HIP as X,AsLitHIC as J,BehaviorElement as Y}from"../core/prod.js";import"../ds/prod.js";import"../ds/prod.js";import Z from"../vip/library/vi-renderer/vi-renderer.js";import D from"../pip/library/pi-f1/pi-f1.js";var E=class extends Y(J(K)){constructor(){super(...arguments),this._id=D.uuid(),this.library="chart",this.toggleView="chart",this.mode="hrf",this.hoverTarget=-1,this.tableElRef=W()}static get is(){return"vi-chart"}static get properties(){return{tableActionText:{type:String,reflect:!0,attribute:"table-action-text"},allowTableAction:{type:Boolean,reflect:!0,attribute:"allow-table-action"},allowToggle:{type:Boolean,reflect:!0,attribute:"allow-toggle"},autoSize:{type:Boolean,attribute:"auto-size"},height:{type:String,reflect:!0},width:{type:String,reflect:!0},type:{type:Object,reflect:!0},input:{type:Object,reflect:!0},library:{type:String,reflect:!0},kind:{type:String,reflect:!0},toggleView:{type:String},mode:{type:String,reflect:!0}}}connectedCallback(){super.connectedCallback(),this.addEventListener("hover-start-ended",this.__handleHover),this.__tableEl__onActionEndedBound=this.__tableEl__onActionEnded.bind(this)}disconnectedCallback(){super.disconnectedCallback(),this.tableElRef.value?.removeEventListener("action-ended",this.__tableEl__onActionEndedBound);let e=this.querySelector(`[id='${this._id}_chartContainer']`);e&&e.__instance.destroy()}createRenderRoot(){return this}render(){return this.library==="chart"||this.library==="chart_extended"?k` ${this._renderToggleButton()} ${this._renderChart()} ${this._renderTable()}`:this._renderGraph()}_renderGraph(){return k`<div id=${this._chartId()} style=${this._chartStyle()}></div>`}_renderToggleButton(){return this.allowToggle?k`<hi-button
          id="${this._id}_${this.library}_toggleBtn"
          style="float:right; margin-bottom:1em; margin-top:0.25em;"
          aesthetic="secondary"
          size="small"
          theme="gray_light"
          @trigger-ended="${this.__toggleState__onTriggerEnded}"
        >
          ${this.toggleView==="chart"?"Show Table":"Show Chart"}
        </hi-button>`:B}_renderChart(){return this.toggleView!=="chart"?B:this.__chartStrategy()}_renderTable(){return k`<vi-table
      ${G(this.tableElRef)}
      .type=${this.type}
      .input=${this.input}
      .mode=${this.mode}
      style=${this._tableStyle()}
      ?allow-action=${this.allowTableAction}
      action-text=${this.tableActionText?this.tableActionText:"Action"}
    >
    </vi-table>`}_chartId(){return`${this._id}_${this.library}_container`}_chartStyle(){return this.autoSize?"width:92%; height:92%; margin: var(--hi-px-8) auto":`width:${this.width||"352px"}; height:${this.height||"352px"}`}_tableStyle(){return this.toggleView==="table"?"":"position:absolute;width: 1px;height: 1px;padding: 0;margin: -1px;overflow: hidden;clip: rect(0, 0, 0, 0);white-space: nowrap;border: 0;"}__chartStrategy(){return k`<div id="parent" style=${this._chartStyle()}>
      <canvas id=${this._chartId()} role="img" aria-hidden="true"></canvas>
    </div>`}updated(){this.renderChart(),this.allowTableAction&&this.__allowTableActionWatcher()}async renderChart(){let t=this.querySelector(`[id="${this._chartId()}"]`);this.input!=null&&t&&(this.broker=D.safe(await Z.createBroker(this.library),this.broker),this.broker.render(t,this.kind,this.type,this.input,this.mode,this.library).then(i=>{this.renderer=i}))}__allowTableActionWatcher(){let t=this.tableElRef.value;t&&this.toggleView==="table"&&t.addEventListener("action-ended",this.__tableEl__onActionEndedBound)}__tableEl__onActionEnded(t){this._dispatchProcess("row-action",{detail:t.detail.data})}__handleHover(t){t.detail.index!==this.hoverTarget&&t.detail.index!==-1&&this._dispatchProcess("hover-end",{detail:t.detail}),this.hoverTarget=t.detail.index}__toggleState__onTriggerEnded(t){this.toggleView=this.toggleView==="chart"?"table":"chart"}};u(E,"ChartElement");var Vt=X.factory.element(E);import{html as v,LitElement as Q,css as tt}from"../hip/library/lit-element/lit-element.js";import{AsLitHIC as et,BehaviorElement as it,HIP as rt}from"../core/prod.js";import{stylesTheme as nt}from"../ds/prod.js";import I from"../pip/library/pi-f1/pi-f1.js";var ot=tt`
  :host {
    --hi-info--per-row: 3; /* Set default value for stats per row */
    --hi-info--gap: var(--hi-px-48); /* 3em - Gap between each info card */
    --hi-info--alignment: center; /* horizontal alignment of info component */
    --hi-info--background-color: var(--hi-clr--white);
    --hi-info--outline-color: var(--hi-clr--transparent);
    --hi-info--value-font: calc(2 * var(--hi-px-28)); /* 3.5em */
    --hi-info--label-font: var(--hi-px-14); /* 0.875em */
    --hi-info--icon-font: var(--hi-px-48); /* 3em */
  }

  .info-container {
    display: grid;
    grid-template-columns: repeat(var(--hi-info--per-row), 1fr);
    gap: var(--hi-info--gap);
    justify-items: var(--hi-info--alignment);
    align-items: end;
    background: var(--hi-info--background-color);
    border: var(--hi-px-1) solid var(--hi-info--outline-color);
    border-top-width: var(--hi-px-4);
  }

  .info-card {
    min-width: calc(2 * var(--hi-px-32));
    max-width: calc(4 * var(--hi-px-32));
    padding: var(--hi-px-8);
    text-align: center;
    box-sizing: border-box;
  }

  .info-value {
    font-family: 'Arial', 'Helvetica', 'Roboto';
    font-size: var(--hi-info--value-font);
    font-weight: bold;
    margin-bottom: var(--hi-px-4);
  }

  .info-label {
    font-size: var(--hi-info--label-font);
    margin-bottom: var(--hi-px-8);
    text-transform: uppercase;
    letter-spacing: var(--hi-px-1);
  }

  hi-icon {
    font-size: var(--hi-info--icon-font) !important;
    margin-bottom: var(--hi-px-4);
  }

  @media (max-width: 767px) {
    .info-container {
      grid-template-columns: 1fr;
    }
  }

  :host([aesthetic='card']) .info-card {
    box-shadow: rgba(0, 0, 0, 0.18) var(--hi-px-0) var(--hi-px-2) var(--hi-px-4);
  }

  :host([aesthetic='tint']) {
    --hi-info--background-color: var(--hi-clr--theme-1);
  }

  :host([aesthetic='outline']) {
    --hi-info--outline-color: var(--hi-clr--theme-3);
  }

  :host([aesthetic='inline']) .info-card,
  :host([aesthetic='inline']) .info-value,
  :host([aesthetic='inline']) .info-container {
    --hi-info--per-row: 1;
    --hi-info--alignment: flex-start;
    display: inherit;
    margin: 0;
    padding: 0;
    min-width: auto;
  }
`,R=class extends it(et(Q)){static get is(){return"vi-info"}static get styles(){return[nt,ot]}static get properties(){return{type:{type:Object},input:{type:Object},aesthetic:{type:String}}}getRenderHints(t){return{renderHintsScheme:I.read("/render_hints/color/scheme",void 0,t),renderHintsColors:I.read("/render_hints/color/values",["var(--hi-clr--theme-5)"],t),renderHintsLabels:I.read("/render_hints/color/labels",["var(--hi-clr--gray-10)"],t)}}getCardColor(t,e,i,r){return t?"var(--hi-clr--theme-5)":e[r%i]}setTheme(t){this.theme||(this.theme=t)}renderIcon(t,e,i){return t.icon?v` <div class="info-icon" style="color:${i}">
          ${t.icon?v`<hi-icon glyph=${t.icon} inherit-color></hi-icon>`:""}
        </div>`:""}renderValue(t,e,i){return t.value?v`<div class="info-value" style="color:${i}">${t.value}</div>`:""}renderLabel(t,e,i){return t.label?v`<div class="info-label" style="color:${i}">${t.label}</div>`:""}renderInfoCards(t,e){let{renderHintsScheme:i,renderHintsColors:r,renderHintsLabels:o}=this.getRenderHints(t),d=r.length,s=o.length;return this.setTheme(i),e.map((l,h)=>{let p=this.getCardColor(this.theme,r,d,h),g=this.getCardColor(this.theme,o,s,h);return v`
        <div class="info-card">
          ${this.renderIcon(l,h,p)} ${this.renderValue(l,h,p)}
          ${this.renderLabel(l,h,g)}
        </div>
      `})}render(){return this.input?v` <div class="info-container">${this.renderInfoCards(this.type,this.input)}</div> `:null}};u(R,"InfoElement");var Wt=rt.factory.element(R);import{html as b,css as at,LitElement as st}from"../hip/library/lit-element/lit-element.js";import{stylesTheme as dt}from"../ds/prod.js";import{HIP as lt,AsLitHIC as ct,BehaviorElement as ht}from"../core/prod.js";import{FactoryEditElement as pt}from"../ds/prod.js";import{writeAlways as V}from"../ds/prod.js";import U from"../pip/library/pi-adt/pi-adt.js";import c from"../pip/library/pi-f1/pi-f1.js";var ut=at`
  :host {
    display: block;
  }

  ul {
    margin: 0;
    padding: 0;
  }

  li {
    list-style: none;
  }

  hi-toggle-group {
    margin-right: auto;
  }

  header {
    align-items: center;
    display: flex;
  }

  section {
    position: relative;
    padding-left: var(--hi-px-16);
    border-left: var(--hi-px-2) solid var(--hi-clr--theme-5);
  }

  section::before {
    position: absolute;
    left: 0;
    top: calc(50% - 2ch);
    transform: translateX(-50%) rotateX(360deg);
    writing-mode: vertical-lr;
    font-size: var(--hi-font-size--small);
    font-weight: var(--hi-font--weight-bold);
    letter-spacing: 1.1pt;
    padding: var(--hi-px-3);
    background-color: var(--hi-clr--white);
  }

  section.hide-join::before {
    display: none;
  }

  section.join-and::before {
    content: 'AND';
  }

  section.join-or::before {
    content: 'OR';
  }

  footer {
    padding: var(--hi-px-8);
  }

  footer:not(.is-root) {
    border-top: var(--hi-px-1) solid var(--hi-clr--theme-5);
    background-color: var(--hi-clr--gray-1);
    margin: calc(-1 * var(--hi-px-8));
    margin-left: calc(-1 * var(--hi-px-16));
    margin-top: var(--hi-px-16);
    padding: var(--hi-px-16);
    border-bottom-left-radius: var(--hi-tile--border-radius);
    border-bottom-right-radius: var(--hi-tile--border-radius);
  }

  .conjunction {
    padding-left: var(--hi-px-16);
    border-color: var(--hi-clr--theme-5);
  }

  .conjunction.is-joined::after {
    content: '';
    position: absolute;
    width: 0;
    height: var(--hi-px-24);
    bottom: calc(-1 * var(--hi-px-24));
    border-left: var(--hi-px-2) dotted var(--hi-clr--theme-5);
  }

  .pt_ {
    padding-top: var(--hi-px-12);
  }

  .pb_ {
    padding-bottom: var(--hi-px-12);
  }

  .mr_ {
    margin-right: var(--hi-px-8);
  }

  .mt_ {
    margin-top: var(--hi-px-12);
  }

  .mb_ {
    margin-bottom: var(--hi-px-12);
  }
`,S=class extends ht(ct(st)){constructor(){super(...arguments),this.settingsDefaults={allow:{},hidden:{},labels:{remove_operator:"Remove Operator",remove_operand:"Remove Operand",add_operator:"Add Operator",add_operand:"Add Operand",submit:"Query",reset:"Clear"}},this.form=`query-form-${c.id()}`,this.settings={},this.editFactory=new pt,this.fieldMutation=U.mutation("fields")}static get is(){return"vi-query"}static get styles(){return[dt,ut]}static get properties(){return{input:{type:Object},type:{type:Object},settings:{type:Object}}}static get api(){return["commit"]}connectedCallback(){super.connectedCallback(),this.setAttribute("role","group")}performUpdate(){return this.settings=c.merge("over",c.merge("over",{},this.settingsDefaults),c.safe({},this.settings)),super.performUpdate()}update(t){super.update(t),t.has("type")&&(this.sourceFields=this.__createSourceFields()),this.input=c.safe({},this.input)}__createSourceFields(){let t=c.read("/fields/field/source/out",{},this.type);return c.is.array(t)?t:c.pipe([i=>this.fieldMutation.invoke({fields:i}),c.to.array,c.map(i=>({comparator:c.read("/filter_type",c.read("/render_type","",i),i),value:i.name,title:i.title,value_field:i}))],t)}render(){return b`
      <hi-form
        aesthetic="invisible"
        alignment="stacked"
        kind="submit"
        disable-http
        .form=${this.form}
        .ns=${this.ns}
        @reset-ended=${this.__form__onResetEnded}
        @submit-ended=${this.__form__onSubmitEnded}
        @submit-failed=${this.__form__onSubmitFailed}
      >
        ${this.__renderOperator(this.input,"")}
        <hi-button slot="controls" type="submit" .ns=${this.ns}>${this.settings.labels.submit}</hi-button>
        <hi-button aesthetic="secondary" slot="controls" type="reset" .ns=${this.ns}
          >${this.settings.labels.reset}</hi-button
        >
      </hi-form>
    `}__renderOperator(t,e,i){let r=c.read("/conditions",[],t),o=c.read("/operator","and",t)==="or",d=o?"or":"and",s=e==="";return b`
      <header class="mt_ mb_ pb_">
        <hi-toggle-group>
          <hi-label>AND</hi-label>
          <hi-toggle
            name="${e}_operator"
            model-path="${e}/operator"
            case-true="or"
            case-false="and"
            .value=${d}
            .form=${this.form}
            .ns=${this.ns}
            .on=${o}
            @commit-ended=${l=>this.__operator__onCommitEnded(l,t)}
          ></hi-toggle>
          <hi-label>OR</hi-label>
        </hi-toggle-group>
        <hi-button
          class="mr_"
          aesthetic="icon"
          ?hidden=${!i}
          @trigger-ended=${l=>this.__removeConjunction__onTriggerEnded(l,t,i)}
        >
          <hi-icon kind="remove_circle_outline"></hi-icon>
          <span>${this.settings.labels.remove_operator}</span>
        </hi-button>
      </header>
      <section class="join-${d} ${r.length<=0?"hide-join":""}">
        <ul>
          ${r.map((l,h)=>{let p=`${e}/conditions/${h}`,g=this.__isOperator(l)?this.__renderOperator(l,p,t):this.__renderOperand(l,t,p);return b`<li class="mb_">
              <hi-tile class="conjunction ${h+1<r.length?"is-joined":""}">${g}</hi-tile>
            </li>`})}
        </ul>
      </section>
      <footer class="${s?"is-root":""}">
        <hi-button
          aesthetic="secondary"
          size="small"
          @trigger-ended=${l=>this.__addOperand__onTriggerEnded(l,t,e)}
        >
          <hi-icon kind="add_circle_outline"></hi-icon>
          <span>${this.settings.labels.add_operand}</span>
        </hi-button>
        <hi-button
          aesthetic="secondary"
          size="small"
          class="mr_"
          @trigger-ended=${l=>this.__addOperator__onTriggerEnded(l,t,e)}
        >
          <hi-icon kind="add_circle_outline"></hi-icon>
          <span>${this.settings.labels.add_operator}</span>
        </hi-button>
      </footer>
    `}__renderOperand(t,e,i){let r=this.ns,{sourceFields:o,comparators:d}=this.__expandOperand(t);return b`
      <hi-fieldset alignment="inline" flush disallow-responsive>
        <hi-input-group>
          <hi-label>Field</hi-label>
          <hi-dropdown kind="value" cap-height exclude .ns=${r}>
            <hi-select
              only-value
              allow-key-search
              mode="value"
              name="${i}_field"
              model-path="${i}/field"
              .value=${V(t.field)}
              .form=${this.form}
              .ns=${r}
              @commit-ended=${s=>this.__fieldOperand__onCommitEnded(s,t,e,i)}
            >
              ${o.map(s=>b`<hi-option .value=${s.value}>${s.title}</hi-option>`)}
            </hi-select>
          </hi-dropdown>
        </hi-input-group>
        <hi-input-group>
          <hi-label>Condition</hi-label>
          <hi-dropdown kind="value" cap-height exclude .ns=${r}>
            <hi-select
              only-value
              allow-key-search
              mode="value"
              name="${i}_comparator"
              model-path="${i}/comparator"
              .value=${V(t.comparator)}
              .form=${this.form}
              .ns=${r}
              @commit-ended=${s=>this.__comparatorOperand__onCommitEnded(s,t,e,i)}
            >
              ${d.map(s=>b`<hi-option .value=${s.id}>${s.title}</hi-option>`)}
            </hi-select>
          </hi-dropdown>
        </hi-input-group>
        <hi-input-group>
          <hi-label>Value</hi-label>
          ${this.__renderOperandValue(t,e,i)}
        </hi-input-group>
        <hi-button
          aesthetic="icon"
          @trigger-ended=${s=>this.__removeConjunction__onTriggerEnded(s,t,e)}
        >
          <hi-icon kind="remove_circle_outline"></hi-icon>
          <span>${this.settings.labels.remove_operand}</span>
        </hi-button>
      </hi-fieldset>
    `}__renderOperandValue(t,e,i){let{sourceField:r}=this.__expandOperand(t),o=this.editFactory,d=c.read("/field/render_type","text",r),s=o&&o.hasRender("edit",d)?d:"unknown";return o.renderBy("edit",s).render(c.merge("over",r.value_field,{name:`${i}_value`,model_path:`${i}/value`,attributes:{ns:this.ns,form:this.form},value:{out:t.value}}),o)(t.value,t)}commit(t=this.input){return{value:t}}__form__onSubmitEnded(t){this.input=t.detail.value,this.commit()}__form__onResetEnded(t){this.input={},this.commit()}__form__onSubmitFailed(t){this._dispatchFailure("commit",t.detail.value)}__fieldOperand__onCommitEnded(t,e,i,r){t.stopPropagation(),e.field=t.detail.value;let{comparators:o}=this.__expandOperand(e);e.comparator=c.read("/0/value","",o),e.value=void 0,this.requestUpdate("input")}__comparatorOperand__onCommitEnded(t,e,i,r){t.stopPropagation(),e.comparator=t.detail.value,e.value=void 0,this.requestUpdate("input")}__operator__onCommitEnded(t,e){t.stopPropagation(),e.operator=t.detail.value.value,this.requestUpdate("input")}__addOperand__onTriggerEnded(t,e,i){c.write("/conditions",c.push({},c.read("/conditions",[],e)),e),this.requestUpdate("input")}__addOperator__onTriggerEnded(t,e,i){c.write("/conditions",c.push({operator:"and",conditions:[]},c.read("/conditions",[],e)),e),this.requestUpdate("input")}__removeConjunction__onTriggerEnded(t,e,i){i&&(c.write("/conditions",c.remove(r=>r===e,c.read("/conditions",[],i)),i),this.requestUpdate("input"))}__expandOperand(t){let e=this.sourceFields,i=c.safe({},c.find(d=>d.value===t.field,e)),r=c.read("/comparators",void 0,this.type),o=c.is.nil(r)?U.filterComparators(i.comparator):c.safe([],c.key(i.comparator,r));return{sourceFields:e,sourceField:i,comparators:o}}__isOperator(t){return c.is.in("operator",t)}};u(S,"QueryElement");var ne=lt.factory.element(S);import{html as y}from"../hip/library/lit-html/lit-html.js";import{ifDefined as mt}from"../hip/library/lit-html/directives/if-defined.js";import{setAttributes as $}from"../eip/library/hi-lit/hi-lit.js";import{styleMap as w}from"../hip/library/lit-html/directives/style-map.js";import x from"../pip/library/pi-ip/pi-ip.js";x.di.register("narrative","grid",{id:"factory-narrative-grid",render(n,t){return e=>{let{id:i,attributes:r,style:o,type:d,settings:s}=t.createFields(n,"grid");return y`
        <vi-grid
          id=${i}
          gid=${i}
          .ns=${t.ns}
          .input=${e}
          .type=${d}
          .settings=${s}
          fit-height
          data-attrs=${$(r)}
          @row-action-ended=${l=>t.narrative__onEventFired(l,n)}
          style=${w(o)}
        >
        </vi-grid>
      `}}}),x.di.register("narrative","list",{id:"factory-narrative-list",render(n,t){return e=>{let{id:i,attributes:r,style:o,type:d,settings:s}=t.createFields(n,"list");return y`
        <vi-list
          id=${i}
          gid=${i}
          mode="tile"
          .ns=${t.ns}
          .input=${e}
          .type=${d}
          .settings=${s}
          fit-height
          data-attrs=${$(r)}
          @row-action-ended=${l=>t.narrative__onEventFired(l,n)}
          style=${w(o)}
        >
        </vi-list>
      `}}}),x.di.register("narrative","query",{id:"factory-narrative-query",safeDefaults(n){return n},render(n,t){return e=>{let{id:i,attributes:r,style:o,type:d}=t.createFields(n,"query");return o.margin="0.5rem",y`
        <vi-query
          id=${i}
          gid=${i}
          .ns=${t.ns}
          .input=${e}
          .type=${d}
          data-attrs=${$(r)}
          style=${w(o)}
          @commit-ended=${s=>t.narrative__onEventFired(s,n)}
        >
        </vi-query>
      `}}}),x.di.register("narrative","info",{id:"factory-narrative-info",render(n,t){return e=>{let{id:i,attributes:r,style:o,type:d}=t.createFields(n,"info");return y`
        <vi-info
          id=${i}
          gid=${i}
          .ns=${t.ns}
          .type=${mt(d)}
          .input=${e}
          data-attrs=${$(r)}
          style=${w(o)}
        >
        </vi-info>
      `}}}),x.di.register("narrative","pivot",{id:"factory-narrative-pivot",render(n,t){return e=>{let{id:i,attributes:r,style:o}=t.createFields(n,"pivot");return y` <div id="pivotContainer" style="margin: 0.5em">
        <eab-hip-pivot-table
          id="pivotTable"
          kind="viewer"
          id=${i}
          gid=${i}
          .ns=${t.ns}
          data-attrs=${$(r)}
          style=${w(o)}
        >
        </eab-hip-pivot-table>
      </div>`}}}),[["chart","bar"],["chart","stacked"],["chart","pie"],["chart","doughnut"],["chart","area"],["chart","line"],["chart","scatter"],["chart","funnel"],["chart","bubble"],["chart","min-bar"],["chart","min-line"],["chart","min-area"],["chart","min-doughnut"],["chart","min-pie"],["chart","matrix"],["chart_extended","sankey"]].forEach(([n,t])=>{x.di.register("narrative",t,{id:`factory-narrative-${t}`,render(e,i){return r=>{let{id:o,attributes:d,style:s,type:l}=i.createFields(e,t);return s.height="100%",s.margin="auto",s.width="100%",y`
          <vi-chart
            mode="hrf4"
            auto-size
            id=${o}
            gid=${o}
            kind=${t}
            library=${n}
            data-attrs=${$(d)}
            style=${w(s)}
            .ns=${i.ns}
            .type=${l}
            .input=${r}
            @trigger-ended=${h=>i.narrative__onEventFired(h,e)}
          >
          </vi-chart>
        `}}})});import{html as F,LitElement as _t,css as gt,nothing as f}from"../hip/library/lit-element/lit-element.js";import{AsLitHIC as ft,BehaviorElement as vt,HIP as bt}from"../core/prod.js";import{stylesTheme as yt}from"../ds/prod.js";import{stylesTile as $t}from"../ds/prod.js";import{Ignition as N}from"../pip/library/pi-interop/pi-interop.js";import L from"../pip/library/pi-ip/pi-ip.js";import m from"../pip/library/pi-f1/pi-f1.js";import"../ds/prod.js";import"../ds/prod.js";import"../ds/prod.js";import"../ds/prod.js";var wt=gt`
  :host {
    display: block;
    padding: 0;
  }

  #header {
    display: flex;
    margin: 0;
  }

  #narrative-body {
    overflow: auto;
    height: calc(100% - var(--hi-el--height-lrg));
    width: 100%;
  }

  #narrative-info {
    margin-left: var(--hi-px-4);
  }

  @media screen and (max-width: 62rem) {
    :host {
      grid-column: 1 / -1 !important;
    }
  }
`,A=class extends vt(ft(_t)){constructor(){super(...arguments),this.ns=`${this.id}-ns`,this.willRender=!1,this.pivotTableVersion="23.6.1"}static get is(){return"vi-narrative"}static get styles(){return[yt,$t,wt]}static get properties(){return{willRender:{type:Boolean},narrative:{type:Object},input:{type:Object},name:{type:String}}}disconnectedCallback(){super.disconnectedCallback(),this.unloadPivotTable()}render(){if(!this.willRender)return f;let t=this.narrative;return F`
      ${this._renderHeader(t)}
      <section id="narrative-body">${t?this._renderNarrativeBody(t,this.input):f}</section>
    `}_renderHeader(t){let{title:e,description:i}=t,r=this.ns,o=t.actions,d=!m.is.empty(o);return F`
      <header id="header">
        <hi-title level="5" title=${e} .ns=${r}></hi-title>
        ${i?F`
              <hi-icon id="narrative-info" gid="narrative-info" .ns=${r} glyph="info"></hi-icon>
              <hi-tooltip for="narrative-info" .ns=${r}>${i}</hi-tooltip>
            `:f}
        <span style="margin-left: auto"> ${d?this.__renderActionButton(t):f}</span>
      </header>
    `}__renderActionButton(t){let e=t.actions,i=t.source;return F`<hi-button id="${i}_actions__btn" gid="${i}_actions__btn" aesthetic="icon" bordered>
        <hi-icon glyph="menu" type="material"></hi-icon>
      </hi-button>
      <hi-menu-proxy .input=${e} for-control="${i}_actions__btn" for-menu="${i}_actions__menu">
      </hi-menu-proxy>
      <hi-menu
        gid="${i}_actions__menu"
        placement="left"
        @selected-ended=${r=>this.__narrativeMenu__selectedEnded(r,t)}
      >
      </hi-menu>`}_renderNarrativeBody(t,e){let i=L.di.inject("narrative",t.render_type);if(!i)return f;let r=i.render(t,this);return r?r?r(e):f:f}firstUpdated(t){super.firstUpdated(t),this.narrative&&this.narrative.render_type==="pivot"&&this.loadPivotTable()}async loadPivotTable(){let{type:t,settings:e}=this.createFields(this.narrative,"pivot"),[i,r]=await L.requires([`@crate/hip/pivot-table/${this.pivotTableVersion}/index`,`@crate/hip/pivot-table/${this.pivotTableVersion}/index.css`]);this.pivotTable=i,await N.create().startup(this.pivotTable,{version:this.pivotTableVersion});let o=this.shadowRoot?.querySelector("eab-hip-pivot-table");if(o){o.settings=m.merge("over",{input:this.input,type:t,attached_to:o,event_to:o,report:{},options:{in_dialog:!1}},e);let d=document.createElement("style");d.textContent=`@import url('${r.href}');`,this.shadowRoot?.appendChild(d)}}unloadPivotTable(){this.pivotTable&&(N.create().shutdown(this.pivotTable),L.unrequire(`hip/pivot-table/${this.pivotTableVersion}/index.css`))}createFields(t,e){let i=m.read("/fields",{},t),r=m.read("/type",{fields:i},t),o=m.read("/settings",{},t),d=m.read("/render_hints",{},t);return m.write("/render_hints",d,r),{id:`narrative_${e}_${m.id()}`,attributes:m.read("/attributes",{},d),style:m.read("/style",{},d),type:r,settings:o}}__narrativeMenu__selectedEnded(t,e){this.narrative__onEventFired(t,e,`${this.name}_action-ended`)}async narrative__onEventFired(t,e,i=`${this.name}_${t.type}`){let r=e.id,o=m.is.object(t.detail.value)?t.detail.value:t.detail;this._dispatchNotification("narrative-updated",{taskName:i,narrative:e,event:o,id:r})}};u(A,"NarrativeElement");var ke=bt.factory.element(A);import M from"../aip/library/ai-lucid/ai-lucid.js";import a from"../pip/library/pi-f1/pi-f1.js";var T=u(class{constructor(n){this.ns=n,this.runtime=M.createRuntime(this.ns),this.narrativeIds=[]}resolveRuntime(){let n=this.runtime.workspace,t=n.queryInstance("front_matter")?.value(),e=n.queryInstance("report")?.settings(),i=a.read("/actions",[],e),r=a.compact(n.queryInstances(a.difference(["front_matter","report"],this.narrativeIds),T.constants.narrativeTaskTag));return{report:{actions:i},front_matter:t,data:a.map(o=>o.value(),r),narratives:a.map(o=>o.settings(),r)}}async generateRuntime(n){this.runtime=M.createRuntime(this.ns);let t=this.sanitize(a.safe({},n)),e=this._hrfToHIL(t);return this.narrativeIds=a.compact(a.map(a.read("/id",null),e.startup)),await this.runtime.computeWith(e),this}_hrfToHIL(n){let t=a.read("/metadata/report/narratives",{},n),e=a.read("/metadata/report/events",{},n),i=this._pullHRFDataSources(n),r=a.read("/metadata/report/tasks",{},n),o=a.to.array(a.map((s,l)=>l,r));return a.is.in("front_matter",r)||(r.front_matter={$is:"task",model:a.read("/metadata/report/front_matter",{},n)}),o.push("front_matter"),a.each((s,l)=>{o.push(l),r[l]={$is:"task",tags:[T.constants.narrativeTaskTag],settings:a.clone(s),model:a.clone(i[s.source])}},a.filter((s,l)=>!a.is.in(l,r),t)),a.is.in("report",r)||(r.report={$is:"task",model:null,settings:{actions:a.read("/metadata/report/actions",[],n)}}),o.push("report"),a.each((s,l)=>{a.keys(s).forEach(p=>{let g=`${l}_${p}`,z=a.read("/model",{},a.read(`/${l}`,"",e));a.is.in(g,r)||(r[g]={$is:"task",model:z,success:s[p]})})},e),{startup:a.map(s=>({$is:"reference",id:s}),a.unique(o)),tasks:r}}_readHRFModels(n){return a.keys(a.read("/metadata/report/narratives",{},n))}_readHRFNarratives(n){return a.keys(a.read("/metadata/report/narratives",{},n))}_readHRFActions(n){return a.keys(a.read("/metadata/report/actions",{},n))}_readHRFEvents(n){return a.keys(a.read("/metadata/report/events",{},n))}_readHRFDataSources(n){return a.keys(a.read("/data",{},n))}_pullHRFDataSources(n){let t=a.read("/data",{},n);return a.is.array(t)?{[T.constants.defaultDataSource]:t}:t}sanitize(n){let t=a.read("/metadata/report",{},n),e=a.merge("over",{front_matter:{},narratives:{},actions:[],layout:{}},t);return e.narratives=a.map((i,r)=>this._sanitizeNarrative(i,r),e.narratives),e.front_matter=this._sanitizeFrontMatter(e.front_matter),e.actions=this._sanitizeActions(e.actions),a.write("/metadata/report",e,n)}_sanitizeFrontMatter(n){let t=a.merge("over",{id:a.id(),title:"",description:"",final_note:"",level:1,timestamp:Date.now(),associated_links:[]},n);return t.associated_links=this._sanitizeActions(t.associated_links),t}_sanitizeNarrative(n,t){let e=a.merge("over",{id:t,render_type:"fallback",title:a.word(`${t}`),description:"",source:T.constants.defaultDataSource,fields:{},render_hints:{},actions:[],layout:{row:1,width:12,height:4}},n);return e.render_hints=this._sanitizeRenderHint(e.render_hints),e.actions=this._sanitizeActions(e.actions),e.fields=a.map(i=>this._sanitizeFields(i),e.fields),e}_sanitizeFields(n){return n}_sanitizeRenderHint(n){return n}_sanitizeActions(n){return a.merge("over",[],n)}},"_ReportModel"),q=T;q.constants={defaultDataSource:"report",narrativeTaskTag:"narrative"};import{html as C,LitElement as xt,css as kt,nothing as H}from"../hip/library/lit-element/lit-element.js";import{styleMap as Tt}from"../hip/library/lit-html/directives/style-map.js";import{AsLitHIC as Ct,BehaviorElement as Et,HIP as Rt}from"../core/prod.js";import{stylesTheme as St}from"../ds/prod.js";import{ifDefined as Ft}from"../hip/library/lit-html/directives/if-defined.js";import _ from"../pip/library/pi-f1/pi-f1.js";import"../ds/prod.js";import"../ds/prod.js";import"../ds/prod.js";import"../ds/prod.js";import"../ds/prod.js";var At=kt`
  :host {
    display: block;
    --grid-column-gap: 1em;
    --grid-row-gap: 1em;
    --grid-body-spacing: 2em;
  }

  .report-grid {
    display: grid;
    grid-template-columns: repeat(12, minmax(0, 1fr));
    grid-column-gap: var(--grid-column-gap);
    grid-row-gap: var(--grid-row-gap);
  }

  .report-header {
    margin-bottom: var(--grid-body-spacing);
  }

  .report-footer {
    margin-top: var(--grid-body-spacing);
  }
`,O=class extends Et(Ct(xt)){constructor(){super(...arguments),this.model=new q(this.ns),this.__inputChanged=!1}static get is(){return"vi-report"}static get styles(){return[St,At]}static get properties(){return{input:{type:Object}}}connectedCallback(){super.connectedCallback(),this.setAttribute("role","group"),this.setAttribute("gid",`force-paint ${this.getAttribute("gid")}`),this.__includeEventHandlers()}__includeEventHandlers(){this.addEventListener("narrative-updated-notified",this.__narrative__narrativeUpdatedNotified)}async update(t){super.update(t),t.has("input")&&(this.__inputChanged=!0)}async performUpdate(){super.performUpdate(),this.__inputChanged&&(await this.model.generateRuntime(this.input),await this.invokeReport("report_initialize-ended",{}),this.requestUpdate(),this.__inputChanged=!1)}render(){let t=this.model.resolveRuntime();if(_.is.empty(t))return H;let{front_matter:e,report:i,narratives:r,data:o}=t;if(_.is.empty(r)||_.is.empty(o)||_.is.empty(e))return H;let{title:d,level:s,description:l,final_note:h}=e,{actions:p}=i,g=_.is.exists(l),z=p&&p.length>0;return C`
      <yi-view-header class="report-header">
        <hi-title slot="title" level=${s} title=${d}></hi-title>
        ${g?C` <p slot="description">${l}</p>`:H}
        ${z?C`
              <section slot="navigation">
                <hi-button id="report_header__actions" gid="report_header__actions" bordered aesthetic="icon">
                  <hi-icon glyph="menu" type="material"></hi-icon>
                </hi-button>
                <hi-menu-proxy
                  for-control="report_header__actions"
                  for-menu="report_actions__menu"
                  .input=${p}
                  @selected-ended=${this.__reportAction__onSelectedEnded}
                >
                </hi-menu-proxy>
                <hi-menu gid="report_actions__menu" placement="left"></hi-menu>
              </section>
            `:H}
      </yi-view-header>
      <div class="report-grid">${this._renderNarratives(r,o)}</div>
      <yi-view-footer class="report-footer">
        <p slot="description">${h}</p>
        <div slot="navigation">
          ${e.associated_links.map(j=>C`
              <hi-link href=${Ft(j.value)} aesthetic="navigation">${j.title}</hi-link>
            `)}
        </div>
      </yi-view-footer>
    `}updated(){if(!this.shadowRoot)return;let t=this.shadowRoot.querySelectorAll("vi-narrative");t&&t.forEach(e=>this.__lazyLoadNarratives(e))}_renderNarratives(t,e){let i={},r=_.to.array(t),o=_.keys(t);return _.map((d,s)=>{let l=this.__computeNarrativeLocation(d,i),h=o[s],p=_.read(`/${d.id}`,void 0,e);return C`
        <vi-narrative
          id=${s}
          name=${h}
          .input=${p}
          .narrative=${d}
          style=${Tt(l)}
        ></vi-narrative>
      `},r)}__computeNarrativeLocation(t,e){let{row:i,width:r,height:o}=t.layout,d=o*100,s=e[i]||1,l=s+r;return e[i]=l,{gridColumn:`${s} / span ${r}`,height:`${d}px`}}__lazyLoadNarratives(t){new IntersectionObserver((i,r)=>{i.forEach(o=>{o.isIntersecting&&(o.target.willRender=!0,r.disconnect())})}).observe(t)}async __narrative__narrativeUpdatedNotified(t){let{taskName:e,event:i}=t.detail;return this.invokeReport(e,i)}__reportAction__onSelectedEnded(t){return this.invokeReport("report_action-ended",t.detail)}async invokeReport(t,e){let i=this.model.runtime.workspace.queryInstance(t);i&&(await i.invoke({event:e}),this.requestUpdate())}};u(O,"ReportElement");var Pe=Rt.factory.element(O);export{E as ChartElement,R as InfoElement,A as NarrativeElement,S as QueryElement,O as ReportElement,q as ReportModel};
