const {
  html,
  nothing,
  directives: { unsafeHTML, repeat }
} = HIP.extern.lit;

export const type = 'template';
export const id = 'self_alerts_item';
export const template = (recordType, typeMap, builderEl) => {
  return () => (o) => {
    const goToDetails = `#/my/self-alerts/?id=${o.id}`;
    return html`<div
      class="pam plsxx bdr-solid bts clr-gray_30-bdr pos-relative vi-list-alert"
      l-kind="hort"
      l-width-fixed
      l-align="center"
    >
      <div id="alert-item-${o.id}" l-size="grow">
        <hi-link href="${goToDetails}">
          <p class="text-sz-lx">${o.alert_reasons[0].name}</p>
        </hi-link>
        ${o.courses ? html`<p class="clr-gray_90-txt">${o.courses}</p>` : nothing}
        <p class="clr-gray_90-txt">Submitted: ${moment(o.created_at).format('ll')}</p>
      </div>
      <div l-align="center">
        <hi-link href="${goToDetails}" aria-labelledby="alert-item-${o.id}">
          <hi-icon kind="chevron_right" size="large" aria-label="View Details"></hi-icon>
        </hi-link>
      </div>
    </div> `;
  };
};
