HIL.dsl.plugin.register({
  id: 'get_params',
  pointCut: {
    prePostCompile: (script) => {
      const searchParams = window.location.hash ? `?${window.location.hash.split('?')[1]}` : window.location.search;
      const formDataFromUrlParams = new URLSearchParams(searchParams);
      const paramsBucket = script.bucket.params;
      if (paramsBucket.input == undefined) {
        paramsBucket.input = {};
      }
      for (const [key, value] of formDataFromUrlParams) {
        paramsBucket.input[key] = value;
      }
      return script;
    }
  }
});
